MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024018Community[OCCT] OCCT:Visualizationpublic2013-06-06 22:402013-12-19 13:55
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024018: Voxel_FastConverter::Convert - avoiding unnecessary iterations when using multiple threads
DescriptionThe line:

if (ithread_triangle < start_thread_triangle || ithread_triangle > end_thread_triangle)
    continue;

continues iteration even when ithread_triangle > end_thread_triangle. This is not necessary and can be avoided. The iterations should be ended.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0024681)
Pawel (developer)
2013-06-07 00:00

Branch CR24018 pushed and ready to review.
(0024706)
vro (developer)
2013-06-10 10:39

Reviewed!
(0024718)
mkv (tester)
2013-06-11 09:14

Dear BugMaster,

Branch CR24018 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 80fb710cb3c32b29f571f3870e92cf55e4063398

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366354096 / 366313324
Total CPU difference: 39932.66000000103 / 43688.52000000147

Testing on Windows:
Total MEMORY difference: 347174552 / 349211996
Total CPU difference: 32990.296875 / 28199.328125

There are not differences in images found by testdiff.

- Related Changesets
occt: master da8536ad
Timestamp: 2013-06-06 19:58:39
Author: Pawel
Details ] Diff ]
0024018: Voxel_FastConverter::Convert - avoiding unnecessary iterations when using multiple threads

After processing 'end_thread_triangle' the method exits instead of just continuing the iteration.
Formatting adjusted.
mod - src/Voxel/Voxel_FastConverter.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-06-06 22:40 Pawel New Issue
2013-06-06 22:40 Pawel Assigned To => Pawel
2013-06-06 22:40 Pawel Summary Voxel_FastConverter::Convert - avoiding unnecessary iterations when using multple thread => Voxel_FastConverter::Convert - avoiding unnecessary iterations when using multple threads
2013-06-07 00:00 Pawel Note Added: 0024681
2013-06-07 00:00 Pawel Assigned To Pawel => vro
2013-06-07 00:00 Pawel Status new => resolved
2013-06-07 00:00 Pawel Summary Voxel_FastConverter::Convert - avoiding unnecessary iterations when using multple threads => Voxel_FastConverter::Convert - avoiding unnecessary iterations when using multiple threads
2013-06-10 10:39 vro Note Added: 0024706
2013-06-10 10:39 vro Status resolved => reviewed
2013-06-10 12:47 mkv Assigned To vro => mkv
2013-06-11 09:14 mkv Note Added: 0024718
2013-06-11 09:15 mkv Test case number => Not needed
2013-06-11 09:15 mkv Assigned To mkv => bugmaster
2013-06-11 09:15 mkv Status reviewed => tested
2013-06-14 12:18 Pawel Changeset attached => occt master da8536ad
2013-06-14 12:18 Pawel Assigned To bugmaster => Pawel
2013-06-14 12:18 Pawel Status tested => verified
2013-06-14 12:18 Pawel Resolution open => fixed
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:55 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker